org.jgroups.stack

## Class ProtocolStack.RefCounter

- java.lang.Object
- - org.jgroups.stack.ProtocolStack.RefCounter

Enclosing class:
  ProtocolStack

    public static class ProtocolStack.RefCounter
    extends java.lang.Object

Keeps track of the number os times init()/destroy() and start()/stop have been called. The variables init_count and start_count are incremented or decremented accoordingly. Note that this class is not synchronized

### Constructor Summary

Constructors
Constructor and Description
`ProtocolStack.RefCounter(short init_count, short start_count)`

### Method Summary

Methods
`short` `decrementInitCount()`
`short` `decrementStartCount()`
`short` `getInitCount()`
`short` `getStartCount()`
`short` `incrementInitCount()` Increments init_count, returns the old value before incr
`short` `incrementStartCount()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProtocolStack.RefCounter

    public ProtocolStack.RefCounter(short init_count,
                            short start_count)

### Method Detail

#### getInitCount

    public short getInitCount()

#### getStartCount

    public short getStartCount()

#### incrementInitCount

    public short incrementInitCount()

Increments init_count, returns the old value before incr

Returns:

#### decrementInitCount

    public short decrementInitCount()

#### decrementStartCount

    public short decrementStartCount()

#### incrementStartCount

    public short incrementStartCount()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`